{% extends "base.html" %} {% load static %}{% block title %}
<h1>Evaluación de Proyecto - Semana </h1>{% endblock title %} {% block css %}
<link href="{% static 'css/wizard.css' %}" rel="stylesheet"> 
<link href="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.4/summernote.css" rel="stylesheet"> {% endblock css %} {% block content %}


<div class="row animated fadeIn">
    <!-- flight section -->
    {% if session.week %}
    <div id="main">
        <hr>
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <header class="card-heading card-blue">
                        <h2 class="card-title">Sesión {{session.number}}: Semana</h2>
                    </header>
                    <div class="card-body">
                        <div class="row" id="topic_week{{session.week.pk}}">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label" for="id_tematica{{session.week.pk}}">Temática de la semana</label>
                                    <input class=" form-control" value="{{session.week.topic}}" disabled id="id_tematica{{session.week.pk}}" name="tematica"
                                        required="" type="text">
                                </div>
                            </div>
                        </div>
                        <hr>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <header class="card-heading card-accent">
                                        <h2 class="card-title">Objetivos de aprendizaje</h2>
                                    </header>
                                    <div class="card-body">
                                        <div class="project-list">
                                            <form id="objetivos">
                                                <table class="table table-bordered" data-page-size="5" data-filter=#filter>
                                                    <thead>
                                                        <tr>
                                                            <th class="col-md-9">Objetivo</th>
                                                            <th class="col-md-2 text-center">Porcentaje</th>
                                                            <th class="col-md-1 text-center">Nota</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="objetive_table{{session.week.pk}}">
                                                        {% for evaluation in session.week.evaluation_set.all %} {% if evaluation.type_evaluation == "OB" %}
                                                        <tr id="obj{{evaluation.pk}}">
                                                            <td style="vertical-align:middle" class="col-md-9">{{evaluation.name}}</td>
                                                            <td style="vertical-align:middle" class="text-center col-md-2">{{evaluation.percentage}}%</td>
                                                            <td style="vertical-align:middle" class="text-center col-md-1">
                                                                <div class="form-input is-empty" style="margin-top:0px">
                                                                    <input name="{{evaluation.pk}}" class="form-control input-mask" data-mask="0,0" placeholder="ej: 0,0" autocomplete="off" maxlength="3" type="text">
                                                                </div>
                                                            </td>
                                                        </tr>
                                                        {% endif %} {% endfor %}
                                                    </tbody>
                                                </table>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <header class="card-heading card-blue">
                                        <h2 class="card-title">Avances de producto</h2>
                                    </header>
                                    <div class="card-body">
                                        <div class="project-list">
                                            <form id="avances">
                                                <table class="table table-bordered" data-page-size="5" data-filter=#filter>
                                                    <thead>
                                                        <tr>
                                                            <th class="col-md-9">Avance</th>
                                                            <th class="col-md-2 text-center">Porcentaje</th>
                                                            <th class="col-md-1 text-center">Nota</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="progress_table{{session.week.pk}}">
                                                        {% for evaluation in session.week.evaluation_set.all %} {% if evaluation.type_evaluation == "AV" %}
                                                        <tr id="ava{{evaluation.pk}}">
                                                            <td class="col-md-9">{{evaluation.name}}</td>
                                                            <td class="col-md-2 text-center" style="vertical-align:middle">{{evaluation.percentage}}%</td>
                                                            <td class="col-md-1 text-center" style="vertical-align:middle">
                                                                <div class="form-input is-empty" style="margin-top:0px">
                                                                    <input name="{{evaluation.pk}}" class="form-control input-mask" data-mask="0,0" placeholder="ej: 0,0" autocomplete="off" maxlength="3" type="text">
                                                                </div>
                                                            </td>
                                                        </tr>
                                                        {% endif %} {% endfor %}
                                                    </tbody>
                                                </table>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <header class="card-heading card-yellow">
                                        <h2 class="card-title">Actividades Semanales</h2>
                                    </header>
                                    <div class="card-body">
                                        <div class="project-list">
                                            <form id="actividades">
                                                <table class="table table-bordered" data-page-size="5" data-filter=#filter>
                                                    <thead>
                                                        <tr>
                                                            <th class="col-md-9">Actividad</th>
                                                            <th class="col-md-2 text-center">Porcentaje</th>
                                                            <th class="col-md-1 text-center">Nota</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="activity_table{{session.week.pk}}">
                                                        {% for evaluation in session.week.evaluation_set.all %} {% if evaluation.type_evaluation == "AT" %}
                                                        <tr id="act{{evaluation.pk}}">
                                                            <td class="col-md-9">{{evaluation.name}}</td>
                                                            <td class="col-md-2 text-center" style="vertical-align:middle">{{evaluation.percentage}}%</td>
                                                            <td class="col-md-1 text-center" style="vertical-align:middle">
                                                                <div class="form-input is-empty" style="margin-top:0px">
                                                                    <input name="{{evaluation.pk}}" class="form-control input-mask" data-mask="0,0" placeholder="ej: 0,0" autocomplete="off" maxlength="3" type="text">
                                                                </div>
                                                            </td>
                                                        </tr>
                                                        {% endif %} {% endfor %}
                                                    </tbody>
                                                </table>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="comments" class="row">
        <div class="card">
            <header class="card-heading card-blue">
                <h2 class="card-title">Comentarios de la evaluación</h2>
            </header>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label for="asignaturas">Comentario Avance del Producto:</label>
                            <textarea class="summernote form-control" cols="40" id="id_avances" name="avances" rows="5"></textarea>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label for="asignaturas">Comentario Cumplimiento de Compromisos:</label>
                            <textarea class="summernote form-control" cols="40" id="id_compromisos" name="compromisos" rows="5"></textarea>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label for="asignaturas">Comentario Actividades Semanales:</label>
                            <textarea class="summernote form-control" cols="40" id="id_actividades" name="actividades" rows="5"></textarea>
                        </div>
                    </div>
                </div>
                {% if session.abet %}
                <button class="btn btn-block btn-primary evaluar_abet">Evaluar Abet</button>
                <button class="btn btn-block btn-primary evaluar" id="evaluar" style="display: none">Evaluar</button>
                {% else %}
                <button class="btn btn-block btn-primary evaluar">Evaluar</button>
                {% endif %}
            </div>
        </div>
    </div>
</div>
{% elif session.hito %}
<div id="main">
    <hr>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <header class="card-heading card-yellow">
                    <h2 class="card-title">Sesión {{session.number}}: Hito </h2>
                </header>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card">
                                <header class="card-heading card-blue">
                                    <h2 class="card-title">Evaluación Técnica</h2>
                                </header>
                                <div class="card-body">
                                    <div class="project-list">
                                        <form id="tecnicas">
                                            <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                                <thead>
                                                    <tr>
                                                        <th class="col-md-9">Ítem</th>
                                                        <th class="col-md-2">Porcentaje</th>
                                                        <th class="col-md-1">Nota</th>
                                                    </tr>
                                                </thead>
                                                <tbody id="technique_table{{session.hito.pk}}">
                                                    {% for technique in session.hito.technique_set.all %}
                                                    <tr>
                                                        <td class="col-md-9">{{technique.item}}</td>
                                                        <td class="col-md-2">{{technique.percentage}}%</td>
                                                        <td class="col-md-1">
                                                            <div class="form-group is-empty" style="margin-top:0px">
                                                                <input name="{{technique.pk}}" class="form-control input-mask" data-mask="0,0" placeholder="ej: 0,0" autocomplete="off" maxlength="3" type="text">
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    {% endfor %}
                                                </tbody>
                                            </table>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card">
                                <header class="card-heading card-accent">
                                    <h2 class="card-title">Evaluación Presentación</h2>
                                </header>
                                <div class="card-body">
                                    <div class="project-list">
                                        <form id="presentaciones">
                                            <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                                <thead>
                                                    <tr>
                                                        <th class="col-md-4">Tópico</th>
                                                        <th class="col-md-5">Subtópico</th>
                                                        <th class="col-md-2">Porcentaje</th>
                                                        <th class="col-md-1">Nota</th>
                                                    </tr>
                                                </thead>
                                                <tbody id="presentation_table{{session.hito.pk}}">
                                                    {% for item in session.hito.topic_set.all %} {% for subtopic in item.subtopic_set.all %}
                                                    <tr>
                                                        <td class="col-md-4">{{item.name}}</td>
                                                        <td class="col-md-5">{{subtopic.name}}</td>
                                                        <td class="col-md-2">{{subtopic.percentage}}%</td>
                                                        <td class="col-md-1">
                                                            <div class="form-group is-empty" style="margin-top:0px">
                                                                <input name="{{subtopic.pk}}" class="form-control input-mask" data-mask="0,0" placeholder="ej: 0,0" autocomplete="off" maxlength="3" type="text">
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    {% endfor %} {% endfor %}
                                                </tbody>
                                            </table>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card">
                                <header class="card-heading card-blue">
                                    <h2 class="card-title">Evaluación Memoria</h2>
                                </header>
                                <div class="card-body">
                                    <div class="project-list">
                                        <form id="memorias">
                                            <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                                <thead>
                                                    <tr>
                                                        <th class="col-md-9">Ítem</th>
                                                        <th class="col-md-2">Porcentaje</th>
                                                        <th class="col-md-1">Nota</th>
                                                    </tr>
                                                </thead>
                                                <tbody id="memory_table{{session.hito.pk}}">
                                                    {% for memory in session.hito.memory_set.all %}
                                                    <tr style="vertical-align: middle">
                                                        <td class="col-md-9">{{memory.item}}</td>
                                                        <td class="col-md-2">{{memory.percentage}}%</td>
                                                        <td class="col-md-1">
                                                            <div class="form-group is-empty" style="margin-top:0px">
                                                                <input name="{{memory.pk}}" class="form-control input-mask" data-mask="0,0" placeholder="ej: 0,0" autocomplete="off" maxlength="3" type="text">
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    {% endfor %}
                                                </tbody>
                                            </table>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="comments" class="row">
    <div class="card col-md-12 col-sm-12 col-xs-12">
        <header class="card-heading card-blue">
            <h2 class="card-title">Comentarios de la evaluación</h2>
        </header>
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="asignaturas">Comentario Avance del Producto:</label>
                        <textarea class="summernote form-control" cols="40" id="id_avances_hito" name="avances" rows="5"></textarea>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="asignaturas">Comentario Cumplimiento de Compromisos:</label>
                        <textarea class="summernote form-control" cols="40" id="id_compromisos_hito" name="compromisos" rows="5"></textarea>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="asignaturas">Comentario Actividades Semanales:</label>
                        <textarea class="summernote form-control" cols="40" id="id_actividades_hito" name="actividades" rows="5"></textarea>
                    </div>
                </div>
            </div>
            {% if session.abet %}
            <button class="btn btn-block btn-primary evaluar_abet">Evaluar Abet</button>
            <button class="btn btn-block btn-primary evaluar_hito" id="evaluar_hito" style="display:none">Evaluar</button>
            {% else %}
            <button class="btn btn-block btn-primary evaluar_hito">Evaluar</button>
            {% endif %}
        </div>
    </div>
</div>
</div>
{% endif %} 
{% if session.abet %}

<div class="row animated fadeIn" id="abet" style="display: none">
    <div class="col-lg-12">
        <div class="card" id="abetwizard">
            <div class="card-heading">
                <form class="form floating-label" id="abetform">
                    <div class="form-wizard-nav">
                        <div class="progress" style="width: 75%;">
                            <div class="progress-bar" style="width:0%;"></div>
                        </div>
                        <ul class="nav nav-justified nav-pills">
                            {% for criteria in criterias %} 
                            {% if criteria.1 == "1" %}
                            <li class="active">
                                <a href="#tab{{criteria.2}}" data-toggle="tab" aria-expanded="true">
                            {% else %}
                            <li class="">
                                <a href="#tab{{criteria.2}}" data-toggle="tab" aria-expanded="false">
                            {% endif %}
                                <span class="step"> {{criteria.2}} </span>
                                <span class="title">Outcome: {{ criteria.0.letter }} </span>
                                </a>
                            </li>
                            {% endfor %}
                        </ul>
                    </div>
            </div>
            <div class="card-body p-0">
                <div class="form-wizard form-wizard-horizontal">
                    <div class="tab-content clearfix p-30">
                        {% for criteria in criterias %} {% if criteria.2 == 1 %}
                        <div class="tab-pane active" id="tab{{ criteria.2 }}">
                            {% else %}
                            <div class="tab-pane" id="tab{{ criteria.2 }}">
                                {% endif %}

                                <input class="criteria_opt" data-outcomepk="{{criteria.0.pk}}" data-criteriapk="{{criteria.1.pk}}" data-criterianame="{{criteria.0.letter}}.{{criteria.2}}"
                                    id="criteria_opt_{{criteria.1.pk}}" name="{{criteria.0.letter}}.{{criteria.2}}" type="text"
                                    hidden>
                                <div class="row">
                                    <div class="col-md-12 col-xs-12 col-sm-12 text-center">
                                        <label for="description{{criteria.1.pk}}">
                                            <h1>Criterio {{criteria.0.letter}}.{{criteria.2}}: </h1>
                                        </label>
                                        <p id="description{{criteria.1.pk}}">{{criteria.1.description | safe}}</p>
                                    </div>
                                </div>
                                <hr>
                                <div class="row">
                                    <h1 class="text-center lead">¿Como evalúa este criterio?</h1>
                                    <div class="col-md-4 col-sm-4 col-xs-4">
                                        <div class="card">
                                            <header class="card-heading card-accent" style="background-color:#ef5350">
                                                <h2 class="card-title" style="background-color:#ef5350">Incipiente:</h2>
                                            </header>
                                            <div class="card-body scrollbar-minimal-light max-h-300">
                                                <p class="animated fadeIn">{{criteria.1.criteria_info.inscipient}}</p>
                                            </div>
                                            <div class="card-footer border-top-trans text-center">
                                                <ul class="card-actions p-l-0">
                                                    <li>
                                                        {% if criteria.2 == last_criteria %}
                                                        {% if session.hito.final %}
                                                        <a style="display:none" class="btn btn-danger btn-block ultimo" id="ultimo" data-opt='IN' data-criteria="{{criteria.1.pk}}" href="javascript:void(0)">
                                                            <i class="zmdi zmdi-alert-polygon"></i>
                                                            Elegir
                                                        </a>
                                                        <a class="btn btn-danger btn-block ultimo" data-opt='IN' data-criteria="{{criteria.1.pk}}" href="javascript:void(0)">
                                                            <i class="zmdi zmdi-alert-polygon"></i>
                                                            Elegir
                                                        </a>
                                                        {% else %}
                                                        <a class="btn btn-danger btn-block ultimo" data-opt='IN' data-criteria="{{criteria.1.pk}}" href="javascript:void(0)">
                                                            <i class="zmdi zmdi-alert-polygon"></i>
                                                            Elegir
                                                        </a>
                                                        {% endif %}
                                                        {% else %}
                                                        <a class="btn btn-danger btn-block normal" data-opt='IN' data-criteria="{{criteria.1.pk}}" href="javascript:void(0)">
                                                            <i class="zmdi zmdi-alert-polygon"></i>
                                                            Elegir
                                                        </a>
                                                        {% endif %}
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4 col-sm-4 col-xs-4">
                                        <div class="card ">
                                            <header class="card-heading card-yellow">
                                                <h2 class="card-title">En Proceso:</h2>
                                            </header>
                                            <div class="card-body scrollbar-minimal-light max-h-300">
                                                <p class="animated fadeIn">{{criteria.1.criteria_info.inprocess}}</p>
                                            </div>
                                            <div class="card-footer border-top-trans text-center">
                                                <ul class="card-actions p-l-0">
                                                    <li>
                                                        {% if criteria.2 == last_criteria %}
                                                        {% if session.hito.final %}
                                                        <a style="display:none" class="btn btn-warning btn-block ultimo" id="ultimo" data-opt='EP' data-criteria="{{criteria.1.pk}}" href="javascript:void(0)">
                                                            <i class="zmdi zmdi-alert-triangle"></i>
                                                            Elegir
                                                        </a>
                                                        <a class="btn btn-warning btn-block ultimo" data-opt='EP' data-criteria="{{criteria.1.pk}}" href="javascript:void(0)">
                                                            <i class="zmdi zmdi-alert-triangle"></i>
                                                            Elegir
                                                        </a>
                                                        {% else %}
                                                        <a class="btn btn-warning btn-block ultimo" data-opt='EP' data-criteria="{{criteria.1.pk}}" href="javascript:void(0)">
                                                            <i class="zmdi zmdi-alert-triangle"></i>
                                                            Elegir
                                                        </a>
                                                        {% endif %}
                                                        {% else %}
                                                        <a class="btn btn-warning btn-block normal" data-opt='EP' data-criteria="{{criteria.1.pk}}" href="javascript:void(0)">
                                                            <i class="zmdi zmdi-alert-triangle"></i>
                                                            Elegir
                                                        </a>
                                                        {% endif %}
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4 col-sm-4 col-xs-4">
                                        <div class="card">
                                            <header class="card-heading card-yellow" style="background-color:#28bebd">
                                                <h2 class="card-title" style="background-color:#28bebd">Suficiente:</h2>
                                            </header>
                                            <div class="card-body scrollbar-minimal-light max-h-300">
                                                <p class="animated fadeIn">{{criteria.1.criteria_info.suficient}}</p>
                                            </div>
                                            <div class="card-footer border-top-trans">
                                                <ul class="card-actions p-l-0">
                                                    <li class="next">
                                                        {% if criteria.2 == last_criteria %}
                                                        {% if session.hito.final %}
                                                        <a style="display:none" class="btn btn-green btn-block ultimo" id="ultimo" data-opt='ES' data-criteria="{{criteria.1.pk}}" href="javascript:void(0)">
                                                            <i class="zmdi zmdi-badge-check"></i>
                                                            Elegir
                                                        </a>
                                                        <a class="btn btn-green btn-block ultimo_final" data-opt='ES' data-criteria="{{criteria.1.pk}}" href="javascript:void(0)">
                                                            <i class="zmdi zmdi-badge-check"></i>
                                                            Elegir
                                                        </a>
                                                        {% else %}
                                                        <a class="btn btn-green btn-block ultimo" data-opt='ES' data-criteria="{{criteria.1.pk}}" href="javascript:void(0)">
                                                            <i class="zmdi zmdi-badge-check"></i>
                                                            Elegir
                                                        </a>
                                                        {% endif %}
                                                        {% else %}
                                                        <a class="btn btn-green btn-block normal" data-opt='ES' data-criteria="{{criteria.1.pk}}" href="javascript:void(0)">
                                                            <i class="zmdi zmdi-badge-check"></i>
                                                            Elegir
                                                        </a>
                                                        {% endif %}
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {% endfor %}
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <ul class="pager wizard">
                        <li class="previous disabled">
                            <a class="btn btn-primary btn-round" href="javascript:void(0);">Previous</a>
                        </li>
                    </ul>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endif %}

{% endblock content %} {% block javascript %}
<script src="https://unpkg.com/sweetalert2@7.20.7/dist/sweetalert2.all.js"></script>
<script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.17.0/dist/jquery.validate.js"></script>
<script src="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.4/summernote.js"></script>

<script>
    $(document).ready(function() {
        function evaluar_hito(){
            var memory = $('#memorias').serializeArray();
            var presentation = $('#presentaciones').serializeArray();
            var technique = $('#tecnicas').serializeArray();
            var len_mem = memory.length;
            var len_pre = presentation.length;
            var len_tech = technique.length;
            var session_pk = "{{session.pk}}";
            var comment_progress = $("#id_avances_hito").val();
            var comment_accomplishment = $("#id_compromisos_hito").val();
            var comment_activity = $("#id_actividades_hito").val();
            var project_pk = "{{project.pk}}";
            data = {
                memorias: memory,
                presentaciones: presentation,
                tecnicas: technique,
                comment_activity: comment_activity,
                comment_progress: comment_progress,
                comment_accomplishment: comment_accomplishment,
                len_mem: len_mem,
                len_pre: len_pre,
                len_tech: len_tech,
                project_pk: project_pk,
                session_pk: session_pk,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            };
            $.post("{% url 'create_evaluation_hito' %}", data, function (response) {
                if (response.message){
                    swal({
                        title: "Exelente!",
                        text: "Alumno Evaluado con Exito."
                    }).then((value) => {
                        if ("{{session.hito.final}}" == 1){
                            window.location.href = "{% url 'finish_project' project.pk %}"
                        } else {
                            window.location.href = '{% url "project_current" %}';
                        }
                    });
                } else {
                    swal({
                        title: "Borrador Creado!",
                        text: "Se ha creado un borrador para que puedas seguir evaluando más adelante."
                    }).then((value) => {
                        if ("{{session.hito.final}}" == 1){
                            window.location.href = "{% url 'finish_project' project.pk %}"
                        } else {
                            window.location.href = '{% url "project_current" %}';
                        }
                    });

                }
            });
        }
        function evaluar(){
            console.log("ESTE ES EL ESTADO DE FINAL: ");
            console.log("{{session.hito.final}}");
            var objetivos = $('#objetivos').serializeArray();
            var avances = $('#avances').serializeArray();
            var actividades = $('#actividades').serializeArray();
            var len_obj = objetivos.length;
            var len_act = actividades.length;
            var len_pro = avances.length;
            var session_pk = "{{session.pk}}";
            var comment_progress = $("#id_avances").val();
            var comment_accomplishment = $("#id_compromisos").val();
            var comment_activity = $("#id_actividades").val();
            var project_pk = "{{project.pk}}";
            data = {
                objetivos: objetivos,
                avances: avances,
                actividades: actividades,
                comment_activity: comment_activity,
                comment_progress: comment_progress,
                comment_accomplishment: comment_accomplishment,
                len_obj: len_obj,
                len_act: len_act,
                len_pro: len_pro,
                project_pk: project_pk,
                session_pk: session_pk,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            };
            console.log(data);
            $.post("{% url 'create_evaluation' %}", data, function (response) {
                if (response.message){   
                    swal({
                        title: "Exelente!",
                        text: "Alumno Evaluado con Exito."
                    })
                    .then((value) => {
                        window.location.href = '{% url "project_current" %}';
                    });
                } else {
                    swal({
                        title: "Borrador Creado!",
                        text: "Se ha creado un borrador para que puedas seguir evaluando más adelante."
                    }).then((value) => {
                        if ("{{session.hito.final}}" == 1){
                            window.location.href = "{% url 'finish_project' project.pk %}"
                        } else {
                            window.location.href = '{% url "project_current" %}';
                        }
                    });
                }
            });
        };
        $(".evaluar").on("click", evaluar);

        $(".evaluar_hito").on("click", evaluar_hito);

        $('#abetwizard').bootstrapWizard({
            onTabShow: function onTabShow(tab, navigation, index) {
                var total = navigation.find('li').length;
                var current = index + 0;
                var percent = current / (total - 1) * 100;
                var percentWidth = 100 - 100 / total + '%';
                navigation.find('li').removeClass('done');
                navigation.find('li.active').prevAll().addClass('done');
                $('#abetwizard').find('.progress-bar').css({
                    width: percent + '%'
                });
                $('.form-wizard-horizontal').find('.progress').css({
                    'width': percentWidth
                });
            }
        });
        $('#abetwizard .finish').on('click', function (e) {
            swal({
                title: "Probando", text: "Prueba", type: "success", timer: 2000,
                showConfirmButton: false
            });
        });
        $(".ultimo").click(function () {
            var button = $(this);
            var criteria_pk = button.data("criteria");
            var opt = button.data("opt");
            $("#criteria_opt_" + criteria_pk).val(opt);
            var datos = $("#abetform").serializeArray();
            var i = 0;
            var options = "";
            for (i; i < datos.length; i++) {
                options = options + datos[i].name + ": ";
                if (datos[i].value == "ES") {
                    options = options + "Suficiente" + "<br>"
                } else if (datos[i].value == "IN") {
                    options = options + "Inscipiente" + "<br>"
                } else {
                    options = options + "En Proceso" + "<br>"
                }
            }
            swal({
                title: 'Confirmación',
                html: 'Antes de seguir debe confirmar sus selecciones: <br>' + options + '<br> \t ¿Desea continuar?',
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Confirmar',
                cancelButtonText: 'Cancelar',
                dangerMode: true,
            }, ).then((result) => {
                if (result.value) {
                    var criterias = {}
                    $(".criteria_opt").each(function () {
                        var object = $(this);
                        var outcomepk = object.data("outcomepk");
                        var criteriapk = object.data("criteriapk");
                        console.log(criteriapk);
                        var selected_opt = object.val();
                        var criteria_temp = {
                            outcomepk: outcomepk,
                            criteriapk: criteriapk,
                            selected_opt: selected_opt
                        }
                        criterias[criteriapk] = JSON.stringify(criteria_temp);
                        console.log("CRITERIA: ");
                        console.log(criterias);
                    });
    
                    var projectpk = "{{project.pk}}";
                    var data = {
                        criterias: criterias,
                        projectpk: projectpk,
                        csrfmiddlewaretoken: '{{ csrf_token }}',
                    }
                    console.log("Esta es la data:");
                    console.log(data);
                    $.post("{% url 'create_abet_evaluation' %}", data, function (response) {
                        swal("Exito!", "Evaluacion completada!", "success")
                            .then((value) => {
                                if ($(".evaluar").length == 1){
                                    evaluar();
                                }else if ($(".evaluar_hito").length == 1){
                                    evaluar_hito();
                                }else{
                                    console.log("No hay botones");
                                }
                            });;
                    });
                }
            });
        });
        
        $(".summernote").each(function(){
            $(this).summernote();
            $(this).summernote('insertText',$(this).val())
        })
    });

    $(document).on("click", ".normal", function () {
        var button = $(this);
        var criteria_pk = button.data("criteria");
        var opt = button.data("opt");
        $("#criteria_opt_" + criteria_pk).val(opt);
        $("#abetwizard").bootstrapWizard('next');
    });

    $(document).on("click", ".evaluar_abet", function () {
        $("#main").hide();
        $("#comments").hide();
        $("#abet").show();
        window.scrollTo(0, 0);
    });

    
</script> {% endblock javascript %}